package com.perforce.jbrown.utils;

import java.util.List;

import com.perforce.p4java.core.file.IFileSpec;

public class DumpUtils {

	public static void dumpFileSpecs( String title, List<IFileSpec> specs) {
        int cnt = 0;
        System.out.println("\n-----\n" + title + " - size:" + specs.size());
        if (specs != null) {
            for (IFileSpec ifs : specs) {
                System.out.println(cnt + ": " + ifs.getDepotPathString());
                System.out.println(cnt + ": " + ifs.getClientPathString());
                System.out.println("  status=" + ifs.getOpStatus());
                System.out.println("  action=" + ifs.getAction());
                System.out.println("  message=" + ifs.getStatusMessage());
                cnt++;
            }
        }
	}
}
