package com.perforce.jbrown.utils;

import com.perforce.p4java.server.callback.ILogCallback;

/***
 * Stupid Implementation to just print out any call back strings.
 * 
 * @author jbrown
 */
public class LogCallBack implements ILogCallback {

    public void internalError(String errorString) {
        System.out.println("error->"+errorString);
    }

    public void internalException(Throwable thr) {
        System.out.println("exception->" + thr.getMessage() );
        thr.printStackTrace();
    }

    public void internalWarn(String warnString) {
        System.out.println("warning->"+warnString);
    }

    public void internalInfo(String infoString) {
        System.out.println("info->"+infoString);
    }

    public void internalStats(String statsString) {
        // SSystem.out.println("stats->"+statsString);
    }

    public void internalTrace(LogTraceLevel traceLevel, String traceMessage) {
        // System.out.println("trace->"+statsString);
    }

    public LogTraceLevel getTraceLevel() {
        return ILogCallback.LogTraceLevel.SUPERFINE ;
    }


}
